<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>net6.0</TargetFramework>

    <IsPackable>false</IsPackable>

    <LangVersion>default</LangVersion>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
    <OutputPath>..\bin</OutputPath>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="Microsoft.EntityFrameworkCore" Version="6.0.0" />
    <PackageReference Include="Microsoft.NET.Test.Sdk" Version="17.0.0" />
    <PackageReference Include="NUnit" Version="3.13.2" />
    <PackageReference Include="NUnit3TestAdapter" Version="4.1.0" />
    <PackageReference Include="coverlet.collector" Version="3.1.0">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
  </ItemGroup>

  <ItemGroup>
    <None Update="TT_Template\IRaCIS .Core.ServiceAsync.tt">
      <LastGenOutput>IRaCIS .Core.ServiceAsync.cs</LastGenOutput>
      <Generator>TextTemplatingFileGenerator</Generator>
    </None>
    <None Update="TT_Template\IRaCIS .Core.IServiceAsync.tt">
      <LastGenOutput>IRaCIS .Core.IServiceAsync.cs</LastGenOutput>
      <Generator>TextTemplatingFileGenerator</Generator>
    </None>
    <None Update="TT_Template\IRaCIS.Core.Dto.tt">
      <Generator>TextTemplatingFileGenerator</Generator>
      <LastGenOutput>IRaCIS.Core.Dto.cs</LastGenOutput>
    </None>
    <None Update="TT_Template\IRaCIS.Core.Services.tt">
      <Generator>TextTemplatingFileGenerator</Generator>
      <LastGenOutput>IRaCIS.Core.Services.cs</LastGenOutput>
    </None>
    <None Update="TT_Template\IRaCIS.Core.IServices.tt">
      <Generator>TextTemplatingFileGenerator</Generator>
      <LastGenOutput>IRaCIS.Core.IServices.cs</LastGenOutput>
    </None>
    <None Update="TT_Template\IRaCIS.Core.Repository.tt">
      <Generator>TextTemplatingFileGenerator</Generator>
      <LastGenOutput>IRaCIS.Core.Repository.cs</LastGenOutput>
    </None>
    <None Update="TT_Template\IRaCIS.Core.IRepository.tt">
      <Generator>TextTemplatingFileGenerator</Generator>
      <LastGenOutput>IRaCIS.Core.IRepository.cs</LastGenOutput>
    </None>
    <None Update="TT_Template\IRaCIS.Core.Entity.tt">
      <Generator>TextTemplatingFileGenerator</Generator>
      <LastGenOutput>IRaCIS.Core.Entity.cs</LastGenOutput>
    </None>
  </ItemGroup>

  <ItemGroup>
    <Service Include="{508349b6-6b84-4df5-91f0-309beebad82d}" />
  </ItemGroup>

  <ItemGroup>
    <Compile Update="TT_Template\IRaCIS .Core.IServiceAsync.cs">
      <DependentUpon>IRaCIS .Core.IServiceAsync.tt</DependentUpon>
      <DesignTime>True</DesignTime>
      <AutoGen>True</AutoGen>
    </Compile>
    <Compile Update="TT_Template\IRaCIS .Core.ServiceAsync.cs">
      <DependentUpon>IRaCIS .Core.ServiceAsync.tt</DependentUpon>
      <DesignTime>True</DesignTime>
      <AutoGen>True</AutoGen>
    </Compile>
    <Compile Update="TT_Template\IRaCIS.Core.Dto.cs">
      <DesignTime>True</DesignTime>
      <AutoGen>True</AutoGen>
      <DependentUpon>IRaCIS.Core.Dto.tt</DependentUpon>
    </Compile>
    <Compile Update="TT_Template\IRaCIS.Core.Entity.cs">
      <DesignTime>True</DesignTime>
      <AutoGen>True</AutoGen>
      <DependentUpon>IRaCIS.Core.Entity.tt</DependentUpon>
    </Compile>
    <Compile Update="TT_Template\IRaCIS.Core.IRepository.cs">
      <DesignTime>True</DesignTime>
      <AutoGen>True</AutoGen>
      <DependentUpon>IRaCIS.Core.IRepository.tt</DependentUpon>
    </Compile>
    <Compile Update="TT_Template\IRaCIS.Core.IServices.cs">
      <DesignTime>True</DesignTime>
      <AutoGen>True</AutoGen>
      <DependentUpon>IRaCIS.Core.IServices.tt</DependentUpon>
    </Compile>
    <Compile Update="TT_Template\IRaCIS.Core.Repository.cs">
      <DesignTime>True</DesignTime>
      <AutoGen>True</AutoGen>
      <DependentUpon>IRaCIS.Core.Repository.tt</DependentUpon>
    </Compile>
    <Compile Update="TT_Template\IRaCIS.Core.Services.cs">
      <DesignTime>True</DesignTime>
      <AutoGen>True</AutoGen>
      <DependentUpon>IRaCIS.Core.Services.tt</DependentUpon>
    </Compile>
  </ItemGroup>

  <ItemGroup>
    <Folder Include="TT_Template\Dto_New\" />
    <Folder Include="TT_Template\IServices_New\" />
    <Folder Include="TT_Template\Models_New\" />
    <Folder Include="TT_Template\Services_New\" />
  </ItemGroup>

</Project>
